//
//  MenuBarButtonView.h
//  MenuBarButton
//
//  Created by zhangSong on 16/7/29.
//  Copyright © 2016年 百得康. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol MenuBarButtonViewDelegate <NSObject>

@optional

-(void)didPressedMenuBarWithIndex:(NSInteger)index;
@end

@interface MenuBarButtonView : UIView

@property (nonatomic, assign) id <MenuBarButtonViewDelegate>delegate;


/**
 *  创建MenuBarButtonView
 *
 *  @param frame              MenuBarButtonView的frame
 *  @param buttonTitleArray   按钮的title数组
 *  @param selectColor        选中按钮的字体颜色
 *  @param normalColor        未选中按钮的字体颜色
 *  @param delegate           代理
 */
-(id)initWithFrame:(CGRect)frame withButtonTitleArray:(NSArray *)buttonTitleArray withSelectBtnTextColor:(UIColor *)selectColor withNormalBtnTextColor:(UIColor *)normalColor withDelegate:(id)delegate;
/**
 *   滑动手势调用的方法
 *
 *   @param index  当前按钮的tag值(滑动之前)
 */
-(void)swipeGestureWithSelectMenuBarIndex:(NSInteger)index;
@end

