//
//  MenuBarButtonView.m
//  MenuBarButton
//
//  Created by zhangSong on 16/7/29.
//  Copyright © 2016年 百得康. All rights reserved.
//

#import "MenuBarButtonView.h"

@interface MenuBarButtonView ()
@property (nonatomic, strong) UIColor *selectColor;
@property (nonatomic, strong) UIColor *normalColor;

@end

@implementation MenuBarButtonView

-(id)initWithFrame:(CGRect)frame withButtonTitleArray:(NSArray *)buttonTitleArray withSelectBtnTextColor:(UIColor *)selectColor withNormalBtnTextColor:(UIColor *)normalColor withDelegate:(id)delegate
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [UIColor redColor];
        self.selectColor = selectColor;
        self.normalColor = normalColor;
        self.delegate = delegate;
        
        float buttonWidth = self.frame.size.width/buttonTitleArray.count;
        float buttonHeight = self.frame.size.height;
        for (int i=0; i<buttonTitleArray.count; i++) {
            UIButton *button = [[UIButton alloc]initWithFrame:CGRectMake(buttonWidth*i, 0, buttonWidth,buttonHeight)];
            button.tag = i+1;
            [button addTarget:self action:@selector(didPressedMenuBar:) forControlEvents:UIControlEventTouchUpInside];
            [button setTitle:[buttonTitleArray objectAtIndex:i] forState:UIControlStateNormal];
            [button setTitleColor:normalColor forState:UIControlStateNormal];
            [self addSubview:button];
            if (i == 0) {
                [self didPressedMenuBar:button];
            }
        }
    }
    return self;
}
-(void)didPressedMenuBar:(UIButton *)selectBtn
{
    [self changeSelectMenuBarButton:selectBtn];
}
-(void)swipeGestureWithSelectMenuBarIndex:(NSInteger)index
{
    UIButton *selectBtn =  (UIButton *)[self viewWithTag:index+1];
    [self changeSelectMenuBarButton:selectBtn];
}


-(void)changeSelectMenuBarButton:(UIButton *)selectBtn
{
    for (UIView *view in self.subviews) {
        if ([view isKindOfClass:[UIButton class]]) {
            UIButton *button = (UIButton *)view;
            [button setTitleColor:self.normalColor forState:UIControlStateNormal];
        }
    }
    [selectBtn setTitleColor:self.selectColor forState:UIControlStateNormal];
    if (self.delegate && [self.delegate respondsToSelector:@selector(didPressedMenuBarWithIndex:)]) {
        [self.delegate didPressedMenuBarWithIndex:selectBtn.tag - 1];
    }
}
@end
