//
//  ViewController.m
//  MenuBarButton
//
//  Created by zhangSong on 16/7/29.
//  Copyright © 2016年 百得康. All rights reserved.
//


/*一个很简易的导航菜单栏，支持左右滑动！本人第一次上传代码，无意中在群里看到水友问是否有这样的demo，自己正好也闲暇无事写了一下，真的很简单的。望采纳 。谢谢！QQ：473817087。可以一起学习。
 */

#import "ViewController.h"
#import "MenuBarButtonView.h"
@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (nonatomic, strong) NSArray *arrayTitle;
@property (nonatomic, strong) NSMutableArray *arrayTotalHero;
@property (nonatomic, strong) NSArray *arrayIntelligenceHero;
@property (nonatomic, strong) NSArray *arrayPowerHero;
@property (nonatomic, strong) NSArray *arrayAgileHero;
@property (nonatomic, strong) UITableView *heroTableView;
@property (nonatomic, assign) NSInteger selectMenuIndex;
@property (nonatomic, strong) MenuBarButtonView *buttonView;
@property (nonatomic, strong) UISwipeGestureRecognizer *leftSwipeGestureRecognizer;
@property (nonatomic, strong) UISwipeGestureRecognizer *rightSwipeGestureRecognizer;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor whiteColor];
    self.title = @"英雄列表";
    
    //当你的容器是navigation controller时，默认的布局将从navigation bar的顶部开始
    self.edgesForExtendedLayout = UIRectEdgeNone;
    self.automaticallyAdjustsScrollViewInsets = NO;
    //解决SearchBar的跳动问题
    self.extendedLayoutIncludesOpaqueBars = NO;
    self.modalPresentationCapturesStatusBarAppearance = NO;
    
    //创建MenuBarButtonView
    self.buttonView = [[MenuBarButtonView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 40) withButtonTitleArray:self.arrayTitle withSelectBtnTextColor:[UIColor blueColor] withNormalBtnTextColor:[UIColor grayColor] withDelegate:self];
    [self.view addSubview:self.buttonView];
    
    //创建英雄列表
    self.heroTableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 40, CGRectGetWidth(self.view.frame), CGRectGetHeight(self.view.frame)-104) style:UITableViewStylePlain];
    self.heroTableView.delegate = self;
    self.heroTableView.dataSource = self;
    [self.view addSubview:self.heroTableView];
    
    //添加手势
    self.leftSwipeGestureRecognizer = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(handleSwipes:)];
    self.rightSwipeGestureRecognizer = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(handleSwipes:)];
    self.leftSwipeGestureRecognizer.direction = UISwipeGestureRecognizerDirectionLeft;
    self.rightSwipeGestureRecognizer.direction = UISwipeGestureRecognizerDirectionRight;
    [self.heroTableView addGestureRecognizer:self.leftSwipeGestureRecognizer];
    [self.heroTableView addGestureRecognizer:self.rightSwipeGestureRecognizer];
}
#pragma mark  ---滑动的手势---
- (void)handleSwipes:(UISwipeGestureRecognizer *)sender
{
    if (sender.direction == UISwipeGestureRecognizerDirectionLeft) {
        NSLog(@"尼玛的, 你在往左边跑啊....");
        if (self.selectMenuIndex > 0 && self.selectMenuIndex ) {
            self.selectMenuIndex--;
            [self.buttonView swipeGestureWithSelectMenuBarIndex:self.selectMenuIndex];
        }
    }
    
    if (sender.direction == UISwipeGestureRecognizerDirectionRight) {
        NSLog(@"尼玛的, 你在往右边跑啊....");
        if (self.selectMenuIndex < self.arrayTotalHero.count-1) {
            self.selectMenuIndex++;
            [self.buttonView swipeGestureWithSelectMenuBarIndex:self.selectMenuIndex];
        }
    }
}
#pragma mark  ---点击MenuBarButton的方法---
-(void)didPressedMenuBarWithIndex:(NSInteger)index
{
    self.selectMenuIndex  = index;
    [self.heroTableView reloadData];
}
#pragma mark  ---UItableViewDelegate---
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    NSArray *array = [self.arrayTotalHero objectAtIndex:self.selectMenuIndex];
    return array.count;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *cellID = @"cell";
    UITableViewCell *cell =  [tableView dequeueReusableCellWithIdentifier:cellID];
    if (!cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cellID];
    }
    cell.selectionStyle = UITableViewCellSelectionStyleNone;
    NSArray *array = [self.arrayTotalHero objectAtIndex:self.selectMenuIndex];
    cell.textLabel.text = array[indexPath.row];
    return cell;
}
#pragma mark  ---懒加载---
-(NSArray *)arrayTitle
{
    if (!_arrayTitle) {
        _arrayTitle = [NSArray arrayWithObjects:@"智力英雄",@"敏捷英雄",@"力量英雄", nil];
    }
    return _arrayTitle;
}
-(NSMutableArray *)arrayTotalHero
{
    if (!_arrayTotalHero) {
        _arrayTotalHero = [[NSMutableArray alloc]initWithObjects:self.arrayIntelligenceHero ,self.arrayAgileHero,self. arrayPowerHero,nil];
    }
    return _arrayTotalHero;
}
-(NSArray *)arrayIntelligenceHero
{
    if (!_arrayIntelligenceHero) {
        _arrayIntelligenceHero = [NSArray arrayWithObjects:@"水晶室女",@"仙女龙",@"风暴之灵",@"恶魔巫师",@"巫妖",@"祸乱之源",@"风行者",@"奥林匹斯之王",@"秀逗魔导士",@"暗影萨满",@"修补匠",@"帕格纳",@"痛苦女王",@"蝙蝠骑士",@"殁境毁灭者",@"光之守卫",@"封印之死灵龙",@"祈求者",@"食人魔魔法师",@"瘟疫法师",@"魅惑魔女",@"黑暗贤者", nil];
    }
    return _arrayIntelligenceHero;
}
-(NSArray *)arrayPowerHero
{
    if (!_arrayPowerHero) {
        _arrayPowerHero = [NSArray arrayWithObjects:@"撼地者",@"流浪剑客",@"小小",@"斧王",@"屠夫",@"沙王",@"骷髅王",@"潮汐猎人",@"鱼人守卫",@"龙骑士",@"兽王",@"昆卡",@"发条技师",@"全能术士",@"神灵武士",@"噬魂鬼",@"暗夜魔王",@"末日使者",@"混沌骑士",@"狼人",@"半人犀牛",@"不朽尸王",@"撕裂者",@"精灵守卫",@"炼金术士",@"酒仙",@"树精卫士",@"裂魂人",  nil];
    }
    return _arrayPowerHero;
}
-(NSArray *)arrayAgileHero
{
    if (!_arrayAgileHero) {
        _arrayAgileHero = [NSArray arrayWithObjects:@"敌法师",@"卓尔游侠",@"主宰",@"血魔",@"影魔",@"剃刀",@"月之女祭师",@"变体精灵",@"幻影长矛手",@"剧毒术士",@"虚空假面",@"幻影刺客",@"隐形刺客",@"狙击手",@"冥界亚龙",@"克林克兹",@"复仇之魂",@"育母蜘蛛",@"圣堂刺客",@"月之骑士",@"赏金猎人",@"编织者",@"幽鬼",@"地卜师",@"美杜莎",@"斯拉克",@"司夜刺客",@"德鲁伊",@"矮人直升机",@"熊战士",@"娜迦海妖",  nil];
    }
    return _arrayAgileHero;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
